## Class template direct_severity_mapping

boost::log::sinks::syslog::direct_severity_mapping — Straightforward severity level mapping.

## Synopsis

    // In header: <boost/log/sinks/syslog_backend.hpp>

    template<typename AttributeValueT = int>
    class direct_severity_mapping :
      public basic_direct_mapping< level, AttributeValueT >
    {
    public:
      // construct/copy/destruct
      explicit direct_severity_mapping(attribute_name const &);
    };

## Description

This type of mapping assumes that attribute with a particular name always provides values that map directly onto the Syslog levels. The mapping simply returns the extracted attribute value converted to the Syslog severity level.

### `direct_severity_mapping` public construct/copy/destruct

1.     explicit direct_severity_mapping(attribute_name const & name);

   Constructor

   Parameters:

   `name` | Attribute name